From ce438fd41efe9aecaacec26472247198b2a28838 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Fri, 28 Oct 2022 21:09:23 +0800
Subject: [PATCH 6/8] Fix some missing headers

---
 script/echo.c                           | 1 +
 script/nhc98heap.c                      | 2 ++
 src/prelude/BinArray/cLowUnboxedArray.c | 2 +-
 src/runtime/Kernel/collector.c          | 1 +
 4 files changed, 5 insertions(+), 1 deletion(-)

diff --git a/script/echo.c b/script/echo.c
index aa2c1bc..72d0869 100644
--- a/script/echo.c
+++ b/script/echo.c
@@ -1,5 +1,6 @@
 #include <stdlib.h>
 #include <stdio.h>
+#include <string.h>
 
 int main (int argc, char** argv) {
   int i=0;
diff --git a/script/nhc98heap.c b/script/nhc98heap.c
index 534010e..6c1ed9b 100644
--- a/script/nhc98heap.c
+++ b/script/nhc98heap.c
@@ -1,5 +1,7 @@
 #include <stdlib.h>
 #include <stdio.h>
+#include <ctype.h>
+
 main(int argc, char **argv)
 {
   int prefix = 1;
diff --git a/src/prelude/BinArray/cLowUnboxedArray.c b/src/prelude/BinArray/cLowUnboxedArray.c
index 24fcee8..6f6bfff 100644
--- a/src/prelude/BinArray/cLowUnboxedArray.c
+++ b/src/prelude/BinArray/cLowUnboxedArray.c
@@ -1,5 +1,5 @@
-#include "cLowUnboxedArray.h"
 #include <stdlib.h>
+#include "cLowUnboxedArray.h"
 
 void finaliseUBA (UBA uba) {
   free(uba->block);
diff --git a/src/runtime/Kernel/collector.c b/src/runtime/Kernel/collector.c
index b95a273..1f879c5 100644
--- a/src/runtime/Kernel/collector.c
+++ b/src/runtime/Kernel/collector.c
@@ -2,6 +2,7 @@
 #include <stdlib.h>
 #include <stdio.h>
 #include <string.h>
+#include <unistd.h>
 #include "node.h"
 /*#include "newmacros.h"  -- already included in node.h */
 /*#include "runtime.h"    -- already included in node.h */
-- 
2.36.1

